{% load django_bootstrap5 %}
{% load panel_helpers %}

<div class="js-toggle-target">
  {% if entity.publications %}
  <ul>
    {% for publication in entity.publications %}
      <li>{{ publication|pubmed_link|join:'' }}</li>
    {% endfor %}
  </ul>
  {% endif %}
  <a href="#" class="add-left-margin link-inherit js-toggle">Edit</a>
</div>
<form class="form js-toggle-target d-none">
  {% for field in edit_entity_publications_form %}
    <div class="add-label-margin">{% bootstrap_field field %}</div>
    <span class="rm">{{ field.label_tag }}</span>
  {% endfor %}
  <button
    type="button"
    class="btn btn-info"
    hx-post="{% url 'panels:update_entity_publications' entity.panel.panel_id entity_type entity_name %}"
    hx-swap="none"
    hx-disabled-elt="this"
  >
    {% include "panels/entity/button_loading_content.html" with text="Save publications" %}
  </button>
  <a href="#" class="add-left-margin btn btn-link js-toggle">Cancel</a>
</form>
